<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:c="http://java.sun.com/jstl/core"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:decorate template="/layout/panels/_panel.xhtml"
                        rendered="#{requestedProcedureManager.selectedProcedure == null}">
                <ui:param name="bodyStyleClass" value="bg-danger"/>
                <span class="gzl-icon-exclamation-triangle"/>
                <h:outputText value="#{messages['gazelle.ordermanager.NoRequestedProcedureFoundForTheGivenId']} !"/>
            </s:decorate>
            <s:div id="globalDiv" rendered="#{requestedProcedureManager.selectedProcedure != null}"><h1>
                #{messages['gazelle.ordermanager.RequestedProcedureDetails']}</h1>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.GeneralInformations']}</ui:define>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.Domain']}</ui:define>
                            <h:outputText value="#{requestedProcedureManager.selectedProcedure.domain.name}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.OwnedByActor']}</ui:define>
                            <h:outputText value="#{requestedProcedureManager.selectedProcedure.simulatedActor.name}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.Creator']}</ui:define>
                            <h:outputText value="#{requestedProcedureManager.selectedProcedure.creator}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.LastChangedOn']}</ui:define>
                            <g:date value="#{requestedProcedureManager.selectedProcedure.lastChanged}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.OrderStatus']}</ui:define>
                            <h:outputText value="#{requestedProcedureManager.selectedProcedure.orderStatus}"/>
                        </s:decorate>
                    </dl>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.PatientsDemographics']}</ui:define>
                    <ui:include src="/patient/showAbstractPatientDemographic.xhtml">
                        <ui:param name="patient" value="#{requestedProcedureManager.selectedEncounter.patient}"/>
                        <ui:param name="codeProvider" value="#{omDemographicCodeProvider}"/>
                    </ui:include>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.PatientsAddress']}</ui:define>
                    <ui:include src="/patient/showAbstractPatientAddress.xhtml">
                        <ui:param name="patient" value="#{requestedProcedureManager.selectedEncounter.patient}"/>
                    </ui:include>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.PatientsIdentifiers']}</ui:define>
                    <rich:list value="#{requestedProcedureManager.selectedEncounter.patient.patientIdentifiers}"
                               var="pid" type="unordered">
                        <h:outputText value="#{pid.identifier} (#{pid.identifierTypeCode})"/>
                    </rich:list>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <dl class="dl-horizontal">
                        <ui:define name="panel_title">#{messages['gazelle.ordermanager.PatientsEncounter']}</ui:define>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.VisitNumber']}</ui:define>
                            <h:outputText value="#{requestedProcedureManager.selectedEncounter.visitNumber}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.PatientClass']}</ui:define>
                            <h:outputText value="#{requestedProcedureManager.selectedEncounter.getPatientClass()}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.ReferringDoctor']}</ui:define>
                            <h:outputText value="#{requestedProcedureManager.selectedEncounter.getReferringDoctor()}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.AssignedPatientsLocation']}
                            </ui:define>
                            <h:outputText
                                    value="#{requestedProcedureManager.selectedEncounter.assignedPatientLocation}"/>
                        </s:decorate>
                    </dl>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.OrderAndRequestedProcedureDetails']}</ui:define>
                    <ui:include src="/common/procedureDetails.xhtml">
                        <ui:param name="editSPSDates" value="false"/>
                        <ui:param name="editModality" value="false"/>
                        <ui:param name="proc" value="#{requestedProcedureManager.selectedProcedure}"/>
                    </ui:include>
                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
